wrong Flash version?

Hi,

I’ve got Flash working in Couch Surfer, but when I try to go to hulu or youtube (I know this is redundant since there’s youtube in the AppleTV, I was just testing websites with flash) it tells me I need to upgrade my copy of Flash to version 9. But when I right-click on the Flash Player.plugin and “Get Info” on it back on my desktop, it tells me that the version is 9.0. Has anyone else heard of this problem? Is there any way to fix it? I’m so close to being able to use Hulu!

Thanks!

DOn’t use 9, get the latest version for any intel machine, and copy over that plugin. I have 10 beta something working fine (albeit jerky).